Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 451664 - dev-db/redis[test]: You need 'tclsh8.5' in order to run the Redis test
Summary: dev-db/redis[test]: You need 'tclsh8.5' in order to run the Redis test
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Johan Bergström
URL:
Whiteboard:
Keywords:
Depends on: 453606
Blocks: tcltk-8.6
  Show dependency tree
 
Reported: 2013-01-13 11:22 UTC by Michał Górny
Modified: 2013-01-24 12:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (20130113-111658.log,30.77 KB, text/plain)
2013-01-13 11:22 UTC, Michał Górny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-01-13 11:22:04 UTC
Created attachment 335444 [details]
Build log

I've just tried to build dev-db/redis with FEATURES=test and I get:

>>> Test phase [test]: dev-db/redis-2.6.8
cd src && make test
make[1]: Entering directory `/tmp/portage/dev-db/redis-2.6.8/work/redis-2.6.8/src'
which: no tclsh8.5 in (/usr/lib64/distcc/bin:/usr/lib/portage/bin/ebuild-helpers:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.2:/usr/i686-pc-linux-gnu/gcc-bin/4.5.0:/opt/intel/composerxe-2013_update1.1.117/bin/intel64:/opt/intel/composerxe-2013_update1.1.117/mpirt/bin/intel64:/opt/intel/composerxe-2013_update1.1.117/bin/ia32:/opt/intel/composerxe-2013_update1.1.117/mpirt/bin/ia32)
You need 'tclsh8.5' in order to run the Redis test
make[1]: *** [test] Error 1
make[1]: Leaving directory `/tmp/portage/dev-db/redis-2.6.8/work/redis-2.6.8/src'
make: *** [test] Error 2

I would guess that it fails because I have tcl-8.6 installed.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-01-13 11:35:07 UTC
As a note: it seems that dumb-replacing 'tclsh8.5' with 'tclsh8.6' in all files makes it work well. I think the correct solution would be to use bare 'tclsh'.
Comment 2 Dirkjan Ochtman gentoo-dev 2013-01-13 11:37:38 UTC
Johan, can you take that up with upstream?
Comment 3 Johan Bergström 2013-01-13 19:50:30 UTC
(In reply to comment #1)
> As a note: it seems that dumb-replacing 'tclsh8.5' with 'tclsh8.6' in all
> files makes it work well. I think the correct solution would be to use bare
> 'tclsh'.

Yeah, that would be the obvious solution. I'll see what I can do (from a upstream point of view).
Comment 4 Johan Bergström 2013-01-13 20:21:51 UTC
See https://github.com/antirez/redis/pull/877

Hopefully we get it merged upstream; otherwise we'll just have to pull it into files like we do with the shared patches.
Comment 5 Johan Bergström 2013-01-23 03:34:39 UTC
An updated (and bumped) ebuild is available in bug 453606.
Comment 6 Dirkjan Ochtman gentoo-dev 2013-01-24 12:11:43 UTC
Fixed in 2.6.9.